from parallels.core.session_files import CommonSessionFiles


class WebSessionFiles(CommonSessionFiles):
    def get_site_info_file(self):
        """
        :rtype: parallels.core.session_files.SessionFile
        """
        return self.get_file(u'site_info.json')

    def get_status_file(self):
        """
        :rtype: parallels.core.session_files.SessionFile
        """
        return self.get_file(u'site_migration_status.json')

    def get_default_site_migration_list_file(self):
        """
        :rtype: parallels.core.session_files.SessionFile
        """
        return self.get_file(u'site_migration_list.json')

    def get_plesk_agent_id_file(self):
        """
        :rtype: parallels.core.session_files.SessionFile
        """
        return self.get_file(u'plesk_agent_id')

    def get_path_to_database_dump(self):
        """
        :rtype: str | unicode
        """
        return self.get_file_path(u'dbdump.sql')
